Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Macros

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z

### - m -

- M : random.c , ruby.c
- m_hypot : complex.c
- M_PI : math.c
- MAILHEADER_EXT : strftime.c
- Maj : sha2.c
- MAKE_SOCKDATA : win32.c
- MAKE_TM : time.c
- MakeCipher : ossl_cipher.c
- MakeHMAC : ossl_hmac.c
- MakeOpenFile : io.h
- makeSTR1 : transcode_data.h
- makeSTR1LEN : transcode_data.h
- MakeX509ExtFactory : ossl_x509ext.c
- malloc : ripper.c , ripper.y , parse.c , parse.y , st.c
- MALLOC : util.c
- malloc_increase : gc.c
- malloc_limit : gc.c
- map_errno : win32.c
- MAPPING_END_EVENT_INIT : yaml_private.h
- MAPPING_NODE_INIT : yaml_private.h
- MAPPING_START_EVENT_INIT : yaml_private.h
- MARK_IN_BITMAP : gc.c
- MARKED_IN_BITMAP : gc.c
- MARSHAL_INFECTION : marshal.c
- MARSHAL_MAJOR : marshal.c
- MARSHAL_MINOR : marshal.c
- MASK_0f : bignum.c
- MASK_33 : bignum.c
- MASK_55 : bignum.c
- MATCH : date_parse.c
- MATCH_AND_RETURN_CHECK : regexec.c
- MATCH_ARG_FREE : regexec.c
- MATCH_ARG_INIT : regexec.c
- MATCH_BUSY : re.c
- match_op : ripper.c , ripper.y , parse.c , parse.y
- MATCHED : strscan.c
- MATCHED_P : strscan.c
- math1 : complex.c
- math2 : complex.c
- MATRIX_A : random.c
- MAX : regint.h
- Max : bigdecimal.h
- MAX_BIG2STR_TABLE_ENTRIES : bignum.c
- MAX_CALLBACK : dl.h
- MAX_DLTYPE : dl.h
- MAX_ECFLAGS_DECORATORS : transcode.c
- MAX_ERROR_PAR_LEN : regerror.c
- MAX_EVENT_NUM : vm_trace.c
- MAX_HASH_VALUE : lex.c
- MAX_INTEGER_PACK_SIZE : pack.c
- MAX_NODE_OPT_INFO_REF_COUNT : regcomp.c
- MAX_NUMBER_LENGTH : scanner.c
- MAX_PACKED_HASH : st.c
- MAX_POSBUF : vm_dump.c
- MAX_UINT : zlib.c
- MAX_WORD_LENGTH : lex.c
- MAXCHILDNUM : win32.c
- maxnr : bigdecimal.c
- MAXPATHLEN : dln.c , dln_find.c , file.c , process.c , ruby.c , win32.c
- MAXRECOVER : nkf.c
- mbclen : regex.h
- MBCLEN_CHARFOUND_LEN : ripper.y , encoding.h
- MBCLEN_CHARFOUND_P : ripper.y , encoding.h
- MBCLEN_INVALID_P : ripper.y , encoding.h
- MBCLEN_NEEDMORE_LEN : ripper.y , encoding.h
- MBCLEN_NEEDMORE_P : ripper.y , encoding.h
- MBCODE_START_POS : regparse.c
- MC_ANYCHAR : regint.h
- MC_ANYCHAR_ANYTIME : regint.h
- MC_ANYTIME : regint.h
- MC_ESC : regint.h
- MC_ONE_OR_MORE_TIME : regint.h
- MC_ZERO_OR_ONE_TIME : regint.h
- MD5_BLOCK_LENGTH : md5.h , md5ossl.h
- MD5_DIGEST_LENGTH : md5.h
- MD5_DIGEST_STRING_LENGTH : md5.h
- MDAY_SHIFT : date_core.c
- MDAY_WIDTH : date_core.c
- med3 : util.c
- MEMCMP : ripper.y , ruby.h
- MemCmp : bigdecimal.c
- MEMCPY : ripper.y , ruby.h
- MEMCPY_BCOPY : sha2.c
- MEMMOVE : ripper.y , ruby.h
- MEMO_FOR : ripper.y , node.h
- MEMORY : compile.c
- MEMSET_BZERO : sha2.c
- MEMZERO : ripper.y , ruby.h
- MET_CR : newline.c
- MET_CRLF : newline.c
- MET_LF : newline.c
- META_CLASS_OF_CLASS_CLASS_P : class.c
- METACLASS_OF : class.c
- method_basic_p : numeric.c
- MILLISECOND_IN_NANOSECONDS : date_core.c
- MIME_BUF_MASK : nkf.c
- MIME_BUF_SIZE : nkf.c
- MIME_DECODE_DEFAULT : nkf.h
- mime_input_buf : nkf.c
- MIMEOUT_BUF_LENGTH : nkf.c
- Min : bigdecimal.h
- MIN : regint.h , vsnprintf.c
- MIN_HASH_VALUE : lex.c
- MIN_SHIFT : date_core.c
- MIN_WIDTH : date_core.c
- MIN_WORD_LENGTH : lex.c
- MINSIZE : st.c
- MinusInfinity : parser.h
- MINUTE_IN_SECONDS : date_core.c
- MIXBITS : random.c
- mixed_error : ripper.c , ripper.y , parse.c , parse.y
- mixed_escape : ripper.c , ripper.y , parse.c , parse.y
- MKSTR : version.c
- mmarg : util.c
- mmargdecl : util.c
- mmcount : util.c
- mmprepare : util.c
- mmrot3 : util.c
- mmstep : util.c
- mmswap : util.c
- mmtype : util.c
- MOD : date_core.c
- mod : strftime.c , date_strftime.c
- MOD : time.c
- MODE_BINARY : io.c
- MODE_BTMODE : io.c
- mode_t : win32.h
- MODET2NUM : ruby.h
- modifier_if : ripper.c , ripper.y , parse.h , parse.y , parse.c
- modifier_rescue : ripper.c , parse.c , parse.y , parse.h , ripper.y
- modifier_unless : ripper.y , parse.h , parse.y , ripper.c , parse.c
- modifier_until : ripper.y , ripper.c , parse.y , parse.h , parse.c
- modifier_while : ripper.y , parse.c , parse.y , ripper.c , parse.h
- MON_SHIFT : date_core.c
- MON_WIDTH : date_core.c
- MONTHS : date_parse.c
- MOP_IN : regexec.c
- MOP_OUT : regexec.c
- MORE : nkf.c
- MORE_CHAR_FINISHED : io.c
- MORE_CHAR_SUSPENDED : io.c
- MOVE : yaml_private.h
- msghdr_to_wsamsg : win32.c
- MTHREAD_ONLY : win32.c
- mul : strftime.c , date_strftime.c
- MUL_OVERFLOW_FIXNUM_P : ripper.y , internal.h
- MUL_OVERFLOW_LONG_P : internal.h , ripper.y
- MUL_OVERFLOW_SIGNED_INTEGER_P : internal.h , ripper.y
- mulquo : time.c
- MULTIPLE_THREADS : util.c
- MURMUR : st.c
- murmur1 : st.c
- murmur_step : st.c
- MurmurMagic : st.c
- MurmurMagic_1 : st.c
- MurmurMagic_2 : st.c
- MUST_ALIGN : crypt.c
- mutex_mark : thread.c
- MY_BLOCK_SIZE : gdbm.c
- MY_FATAL_FUNC : gdbm.c
- my_getcwd : util.h